Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::Win32ConfigDialog Class Reference

A Windows 95/98/NT platform version of the default engine configuration dialog. More...

`#include <OgreWin32ConfigDialog.h>`

Inheritance diagram for Ogre::Win32ConfigDialog:

[legend]
List of all members.

## Public Methods

| Win32ConfigDialog (HINSTANCE hInst)
bool | display (void)
| Overridden: see CConfigDialog.

## Static Protected Methods

BOOL CALLBACK | DlgProc (HWND hDlg, UINT iMsg, WPARAM wParam, LPARAM lParam)
| Callback to process window events.

## Protected Attributes

HINSTANCE | mHInstance
RenderSystem * | mSelectedRenderSystem

## Detailed Description

A Windows 95/98/NT platform version of the default engine configuration dialog.

Definition at line 36 of file OgreWin32ConfigDialog.h.

## Constructor & Destructor Documentation

Ogre::Win32ConfigDialog::Win32ConfigDialog | ( | HINSTANCE | hInst | ) |

| Definition at line 33 of file OgreWin32ConfigDialog.cpp. References mHInstance, and Ogre::ConfigDialog::mSelectedRenderSystem.

## Member Function Documentation

bool Ogre::Win32ConfigDialog::display | ( | void |  | ) | `[virtual]`

| Overridden: see CConfigDialog. Implements Ogre::ConfigDialog. Definition at line 274 of file OgreWin32ConfigDialog.cpp. References Ogre::dlg, DlgProc(), and mHInstance.

BOOL Ogre::Win32ConfigDialog::DlgProc | ( | HWND | hDlg,
|  | UINT | iMsg,
|  | WPARAM | wParam,
|  | LPARAM | lParam
| ) | `[static, protected]`

| Callback to process window events. Definition at line 41 of file OgreWin32ConfigDialog.cpp. References Ogre::ConfigOptionMap, Ogre::dlg, Ogre::RenderSystem::getConfigOptions(), Ogre::ConfigDialog::mSelectedRenderSystem, Ogre::RenderSystemList, Ogre::RenderSystem::setConfigOption(), Ogre::String, and Ogre::RenderSystem::validateConfigOptions(). Referenced by display().

## Member Data Documentation

HINSTANCE Ogre::Win32ConfigDialog::mHInstance`[protected]`

| Definition at line 48 of file OgreWin32ConfigDialog.h. Referenced by display(), and Win32ConfigDialog().

RenderSystem* Ogre::ConfigDialog::mSelectedRenderSystem`[protected, inherited]`

| Definition at line 63 of file OgreConfigDialog.h. Referenced by DlgProc(), and Win32ConfigDialog().

The documentation for this class was generated from the following files:

- OgreWin32ConfigDialog.h
- OgreWin32ConfigDialog.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:47 2004